import request from '@/utils/request'

// 概览卡片
export function getOverview(query) {
  return request({
    url: '/system/workbench/overview',
    method: 'get',
    params: query
  })
}

// 工单数量柱状图
export function getWorkOrderBar(query) {
  return request({
    url: '/system/workbench/workOrderBar',
    method: 'get',
    params: query
  })
}

// 工序不良率排名
export function getProcessDefectRank(query) {
  return request({
    url: '/system/workbench/processDefectRank',
    method: 'get',
    params: query
  })
}

// 工单实时进度
export function getWorkOrderProgress(query) {
  return request({
    url: '/system/workbench/workOrderProgress',
    method: 'get',
    params: query
  })
}

// 出货订单数据
export function getShipOrderData(query) {
  return request({
    url: '/system/workbench/shipOrderData',
    method: 'get',
    params: query
  })
}
